/**
 *
 */
package de.rico.editor.datamodel;

import de.rico.engine.geometry.Point3D;
import de.rico.engine.material.Color4f;

/**
 * This class represents a directional light in the world
 * editors data model.
 * @author Frank Bruns
 */
public class DirectLightData extends AbstractLightData
{
	private float[] direction = { 0.0f, 0.0f, 0.0f, 0.0f };

	public DirectLightData(Point3D dir, Color4f amb, Color4f diff, int lightNr)
	{
		super(amb, diff, lightNr);
		this.direction[0] = dir.x;
		this.direction[1] = dir.y;
		this.direction[2] = dir.z;
	}

	/**
	 * Returns the direction of the light
	 *
	 * @return direction of the light
	 */
	public float[] getDirection()
	{
		return this.direction;
	}
}
